| Bsoft 2.0.5 Bernard's software package

Functions | Variables
btomaln.cpp File Reference

Program to do fiducialless alignment of a tilt series. More...

`#include "mg_processing.h"`
`#include "mg_align.h"`
`#include "mg_tomography.h"`
`#include "rwmg.h"`
`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to do fiducialless alignment of a tilt series.

Author
  Bernard Heymann

Date
  Created: 20040407
  Modified: 20190219

Definition in file btomaln.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 53 of file btomaln.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: btomaln [options] input.star [input.star]",
"------------------------------------------------",
"Aligns a tilt series of micrographs by progressive reconstruction.",
" ",
"Actions:",
"-align 5,1.5,8 Align micrographs: number of iterations, stopping change,",
" and number of adjacent images for limited reconstructions",
" (defaults 1 and ± 5 images).",
"-lambda 2650 Calculate thickness from proportionality coefficient (in angstrom).",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-thickness 235 Reconstruction thickness (default 20% of x size).",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; a single value can be given).",
"-resolution 900,300 High and low resolution limits for cross-correlation (default 0.1,1000 angstrom).",
"-shiftlimit 155.5 Limit on micrograph shift search in pixels (default 25% of micrograph width).",
"-origin 110,50,44 Origin for tilt axis (default 0,0,0).",
"-edge 23,12 Smooth the edge to a given width, with gaussian decay of a given width.",
"-fill 127 Fill value for particles extending beyond image (default background).",
" ",
"Output:",
"-output file.star Output parameter file.",
"-image file.pif Output multi-image file with aligned images.",
" ",
NULL
}

Definition at line 22 of file btomaln.cpp.

## ◆ verbose

int verbose